//
//  TestPlugin.h
//  PrefsPanePlugin
//
//  Created by Andreas on Mon Jun 09 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//

#import <AppKit/AppKit.h>

#import "AMPrefPaneProtocol.h"

@interface TestPlugin : NSObject <AMPrefPaneBundleProtocol> {
	IBOutlet NSView *mainView;
	IBOutlet NSMatrix *radioButtonMatrix;
	IBOutlet NSButton *checkBox;
	IBOutlet NSSlider *slider;
	NSBundle *bundle;
	NSUserDefaults *defaults;
	BOOL nibLoaded;
}

- (id)initWithBundle:(NSBundle *)theBundle;
- (NSBundle *)bundle;
- (void)setBundle:(NSBundle *)newBundle;

- (NSView *)loadMainView;
- (NSView *)mainView;

- (NSUserDefaults *)defaults;
- (void)setDefaults:(NSUserDefaults *)newDefaults;

- (void)setRadioButtonValue:(id)sender;

- (void)setCheckBoxValue:(id)sender;

- (void)setSliderValue:(id)sender;


@end
