//
//  TestApp.h
//  PrefsPane
//
//  Created by Andreas on Sun Jun 08 2003.
//  Copyright (c) 2003 Andreas Mayer. All rights reserved.
//

#import <AppKit/AppKit.h>
#import "AMPreferenceWindowController.h"


@interface TestApp : NSObject {
	AMPreferenceWindowController *prefsWindow;
	NSMutableDictionary *preferences;
}

- (IBAction)showWindow:(id)sender;

- (AMPreferenceWindowController *)prefsWindow;
- (void)setPrefsWindow:(AMPreferenceWindowController *)newPrefsWindow;

- (BOOL)shouldLoadPreferencePane:(NSString *)identifier;

- (void)willSelectPreferencePane:(NSString *)identifier;
- (void)didUnselectPreferencePane:(NSString *)identifier;

- (IBAction)sortByAlphabet:(id)sender;
- (IBAction)sortByCategory:(id)sender;

@end
